package com.ruoyi.bst.goods.service;

import java.util.List;
import com.ruoyi.bst.goods.domain.Goods;
import com.ruoyi.bst.goods.domain.GoodsVO;
import com.ruoyi.bst.goods.domain.GoodsQuery;

/**
 * 商品Service接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface GoodsService
{
    /**
     * 查询商品
     *
     * @param id 商品主键
     * @return 商品
     */
    public GoodsVO selectGoodsById(Long id, boolean scope);

    default GoodsVO selectGoodsById(Long id) {
        return this.selectGoodsById(id, false);
    }

    /**
     * 查询商品列表
     *
     * @param goods 商品
     * @return 商品集合
     */
    public List<GoodsVO> selectGoodsList(GoodsQuery goods);

    /**
     * 新增商品
     *
     * @param goodsVO 商品VO
     * @return 结果
     */
    public int insertGoods(GoodsVO goodsVO);

    /**
     * 修改商品
     *
     * @param goods 商品
     * @return 结果
     */
    public int updateGoods(Goods goods);

    /**
     * 批量删除商品
     *
     * @param ids 需要删除的商品主键集合
     * @return 结果
     */
    public int deleteGoodsByIds(List<Long> ids);

    /**
     * 删除商品信息
     *
     * @param id 商品主键
     * @return 结果
     */
    public int deleteGoodsById(Long id);

    public Goods selectOne(GoodsQuery query);

}
