package com.ruoyi.bst.sku.domain;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品SKU对象 bst_sku
 *
 * @author ruoyi
 * @date 2025-05-30
 */
@Data
public class Sku extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "商品ID")
    @ApiModelProperty("商品ID")
    private Long goodsId;

    @Excel(name = "规格值ID集合", readConverterExp = "逗=号分隔，如1,3,5")
    @ApiModelProperty("规格值ID集合")
    private List<String> specs;

    @Excel(name = "价格")
    @ApiModelProperty("价格")
    private BigDecimal price;

    @Excel(name = "库存数量")
    @ApiModelProperty("库存数量")
    private Long stock;

    @Excel(name = "图片")
    @ApiModelProperty("图片")
    private String image;

}
