package com.ruoyi.bst.sku.service;

import java.util.List;
import com.ruoyi.bst.sku.domain.Sku;
import com.ruoyi.bst.sku.domain.SkuVO;
import com.ruoyi.bst.sku.domain.SkuQuery;

/**
 * 商品SKUService接口
 *
 * @author ruoyi
 * @date 2025-05-30
 */
public interface SkuService
{
    /**
     * 查询商品SKU
     *
     * @param id 商品SKU主键
     * @return 商品SKU
     */
    public SkuVO selectSkuById(Long id);

    /**
     * 查询商品SKU列表
     *
     * @param sku 商品SKU
     * @return 商品SKU集合
     */
    public List<SkuVO> selectSkuList(SkuQuery sku);

    /**
     * 新增商品SKU
     *
     * @param sku 商品SKU
     * @return 结果
     */
    public int insertSku(Sku sku);

    /**
     * 修改商品SKU
     *
     * @param sku 商品SKU
     * @return 结果
     */
    public int updateSku(Sku sku);

    /**
     * 批量删除商品SKU
     *
     * @param ids 需要删除的商品SKU主键集合
     * @return 结果
     */
    public int deleteSkuByIds(List<Long> ids);

    /**
     * 删除商品SKU信息
     *
     * @param id 商品SKU主键
     * @return 结果
     */
    public int deleteSkuById(Long id);

    public List<SkuVO> selectListByGoodsId(Long id);

    public int batchInsert(List<SkuVO> addList);

    int batchUpdate(List<? extends SkuVO> updateList);

    /**
     * 批量删除项目成员
     *
     * @param delList 删除项目成员列表
     */
    public int batchDelete(List<? extends SkuVO> delList);


}
